%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Visual diff and merge tool for the GNOME Desktop
Name:		meld
Version:	1.6.1
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
URL:		http://meld.sourceforge.net/
Group:		File tools
BuildRequires:	scrollkeeper
BuildRequires:	python-devel
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
Requires:	pygtk2.0-libglade
Requires:	gnome-python
Requires:	gnome-python-canvas
Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
Requires:	python-gtksourceview
Requires:	patch
BuildArch:	noarch
Requires(post):		scrollkeeper >= 0.3
Requires(postun):	scrollkeeper >= 0.3

%description
Meld is a visual diff and merge tool for the GNOME desktop. It integrates
especially well with CVS. The diff viewer lets you edit files in place
(diffs update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy navigation,
and it also features a tabbed interface that allows you to open many diffs
at once.

%prep
%setup -q

%build
%make \
	prefix=%{_prefix} \
	libdir=%{_datadir}

%install
%makeinstall_std \
	prefix=%{_prefix} \
	libdir=%{_datadir}

%find_lang %{name} --with-gnome
for omf in %{buildroot}%{_datadir}/omf/*/*-??*.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GTK"\
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*

rm -rf %{buildroot}/usr/var/lib/scrollkeeper

%files -f %name.lang
%doc NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/meld.*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.6.1-2.mga3
+ Revision: 359937
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 ovitters <ovitters> 1.6.1-1.mga3
+ Revision: 308565
- new version 1.6.1

* Sat Apr 28 2012 ovitters <ovitters> 1.6.0-1.mga3
+ Revision: 233576
- new version 1.6.0
- new version 1.5.4
- clean spec

* Fri Jan 27 2012 fwang <fwang> 1.5.3-1.mga2
+ Revision: 202236
- update file list
- nwe version 1.5.3
- new version 1.5.2

* Sat Jun 25 2011 wally <wally> 1.5.1-1.mga2
+ Revision: 113672
- fix summary and description
- new version 1.5.1
- require python-gtksourceview
- clean .spec a bit

* Sat Mar 05 2011 mikala <mikala> 1.4.0-1.mga1
+ Revision: 65099
- Drop buildroot
- Remove %%mdk macros
- imported package meld

